Application: gvSIG desktop - gvSIG bugs #3842
No carga GPX
10/29/2015 11:28 AM - Alvaro Anguix

Status: Outdated % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: José Badia

Category:

Target version: 2.3.0-2415

Severity: Minor Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2406 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Con el nuevo plugin de GPX instalado he intentado cargar un par de archivos GPX y me indica que no pueden ser cargados.
Adjunto los ficheros.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3851: Las operaciones "F... Closed 11/03/2015

Associated revisions

Revision 99 - 11/11/2015 05:31 PM - José Badia

refs #3842

Cambio de nombre del listado de seleccién de ficheros. De "Driver file" a "GPX File"

Revision 100 - 11/12/2015 12:19 PM - José Badia

refs #3842

Correccion de las urls de la libreria GDAL

Revision 101 - 11/12/2015 12:21 PM - José Badia

refs #3842

Correccion de las urls de la libreria GDAL

History

#1 - 10/29/2015 11:47 AM - Alvaro Anguix

Por lo que he visto en el listado de formatos que aparecen en el desplegable de afiadir capa, no aparece el formato GPX.
Aparecen visibles los archivos con extensién GPX al seleccionar del listado "Driver file".

En cualquier caso habria que quitar ese nombre y poner uno de "GPX" y siguiendo el estilo (de mayusculas y demas) de los formatos ya existentes.

#2 - 11/05/2015 11:44 AM - José Badia
/*GPXStoreProvider*/
geometry = GeometryLocator.getGeometryManager().createFrom(wtk);*

/*DefaultGeometryManager.java*/
public Geometry createFrom(String wkt) throws GeometryException {
GeometryOperationContext context = new GeometryOperationContext();
context.setAttribute("text", wkt);
context.setAttribute("srs", null);
try {
*return (Geometry) this.invokeOperation(OPERATIONS.FROMWKT, context);*
} catch (GeometryOperationNotSupportedException e) {
throw new GeometryException(e);
} catch (GeometryOperationException e) {

throw new GeometryException(e);

public Object invokeOperation(String geomOpName, GeometryOperationContext ctx)
throws GeometryOperationNotSupportedException, GeometryOperationException {
int index = geometryOperations.indexOf(geomOpName);
GeometryOperation geomOp = getGeometryOperation(index);

*return geomOp.invoke(null, ctx);*

Pero en esta Ultima instancia, en lugar de llamar a

/* FromWKT.java (org.gvsig.fmap.geom.jts.operation.fromwkt*/
public Object invoke(Geometry geom, GeometryOperationContext ctx)
throws GeometryOperationException {
try {
return parser.read( (String) ctx.getAttribute(FromWKTGeometryOperationContext. TEXT));
} catch (ParseException e) {

throw new GeometryOperationException(geom.getType(),CODE,e);

llama a

/* FromWKT .java (org.gvsig.fmap.geom.operation.fromwkt*/
public Object invoke(Geometry geom, GeometryOperationContext ctx) throws GeometryOperationException {
logger.warn("Invoked deprecated operation FromWKT");

throw new GeometryOperationException(null);
#3 - 11/11/2015 09:46 AM - José Badia

Requiere la libreria Expat:

INFO [AWT-EventQueue-0] (WizardPanel.java:209) - addLayer('tuejar_punts.gpx',...)

INFO [Thread-13] (DefaultDataManager.java:334) - openStore('OGR_DRIVER','DynClass name: OGRStoreParameters; Fields: [File =
/home/jose/Cartografia/GPX/tuejar_punts.gpx, Driver = null]')

ERROR 6: OGR/GPX driver has not been built with read support. Expat library required

WARN [Thread-13] (OGRStoreProvider.java:325) - /home/jose/Cartografia/GPX/tuejar_punts.gpx -> Unable to open datasource with the

available drivers.

#4 - 11/11/2015 02:14 PM - José Badia
- Related to gvSIG bugs #3851: Las operaciones "FromWKT" y "FromWKB" lanzan siempre una excepcion added

#5 - 11/12/2015 10:49 AM - José Badia

- Status changed from New to Fixed

Queda a la espera de que se carguen todas las librerias necesarias para gdal.

Una vez solventados esos requerimientos, funciona sin problemas

#6 - 12/15/2015 04:56 PM - Joaquin del Cerro Murciano
- Target version changed from 98 to 2.3.0-2411 (rev. org.gvsig.desktop-2.0.116)

#7 - 12/21/2015 01:39 PM - Alvaro Anguix
- Target version changed from 2.3.0-2411 (rev. org.gvsig.desktop-2.0.116) to 110

De las 2 capas que estan subidas en el ticket:
- La de puntos no la carga
- La de lineas la carga (carga lineas y puntos en los nodos de la linea; cuando s6lo deberia cargar lineas), y si luego intento a exportarla a shape,

falla.

Se puede utilizar este visualizador para comprobar lo que deberia cargar en cada caso:

http://www.gpsvisualizer.com/

#8 - 12/21/2015 01:39 PM - Alvaro Anguix
- Status changed from Fixed to New

#9 - 01/18/2016 12:15 PM - Alvaro Anguix

- Status changed from New to Outdated

Con las modificaciones realizadas por Lluis, se deberian poder cargar todos los formatos vectoriales OGR/GDAL, por lo que lo paso a outdated.

#10 - 01/18/2016 12:27 PM - Antonio Falciano
http://www.gpsvisualizer.com/

Adding a gpx file in build 2414 on win64 kills the application. I've opened another ticket (#4020).

#11 - 01/18/2016 11:10 PM - Joaquin del Cerro Murciano
- Target version changed from 110 to 2.3.0-2415

Files
tuejar_punts.gpx 2.17 KB 10/29/2015 Alvaro Anguix
tuejar_ruta.gpx 71.5 KB 10/29/2015 Alvaro Anguix
